package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsNotUploadedEas;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;


import java.util.List;
import java.util.Map;

@Mapper
public interface AmsNotUploadedEasMapper extends IBaseMapper<AmsNotUploadedEas, String> {

    //查询订单是否已存在
    String getIsExistsOrderId(String orderId);

    //查询所有未上传金蝶的数据  补传
    List<Map<String, Object>> getAllNotUploadedEasMes();

    //模拟采购报文
    List<Map<String, Object>> asd();
}