package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstrainOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;

@Mapper
public interface OmstrainOrderMapper extends IBaseMapper<OmstrainOrder, BigDecimal> {
    //根据运输订单号查找id
    BigDecimal selectOrderIdByNo(String orderNumber);

    //根据车皮号和运输订单查找id
    BigDecimal selectOrderIdBywagonNoAndOrderNumber(String orderNumber,String wagonNo);
}